Package de.willuhn.jameica.hbci.gui.parts

# Class UmsatzTypTree

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TreePart
de.willuhn.jameica.hbci.gui.parts.UmsatzTypTree

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class UmsatzTypTree extends de.willuhn.jameica.gui.parts.TreePart
Implementierung eines fix und fertig vorkonfigurierten Trees mit den existiernden Umsatz-Typen.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypTree(de.willuhn.jameica.gui.Action action)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.parts.TreePart

`createFeatureEventContext, getChildren, getItems, getSelection, handleDoubleClick, handleMouseDown, handleMouseUp, handleSingleClick, removeAll, restoreState, select, setChecked, setExpanded, setExpanded, setExpanded, setFormatter, setList, setList, setRootObject, size`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypTree

public UmsatzTypTree(de.willuhn.jameica.gui.Action action) throws RemoteException
ct.

Parameters:
  `action` -
Throws:
  `RemoteException`

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `de.willuhn.jameica.gui.parts.TreePart`
Throws:
  `RemoteException`
See Also:
  - `TreePart.paint(org.eclipse.swt.widgets.Composite)`